#include "task_add.h"
#include "data_channel.h"

#include <stdio.h>
#include <system.h>

add_config ADD_SINE_COSINE_CONFIG = {
    .name = "add_sine_cosine",
    .binding = BINDING_SW,
    .software = task_add_run,
    .configure = NULL,
    .hardware = HARDWARE_TASK_3_BASE,
    .sources = { DATA_CHANNEL_0_BASE, DATA_CHANNEL_1_BASE },
    .sink = DATA_CHANNEL_3_BASE,
    .cycle_count = 0 };

add_config ADD_RAND_CONFIG = {
    .name = "add_rand",
    .binding = BINDING_SW,
    .software = task_add_run,
    .configure = NULL,
    .hardware = HARDWARE_TASK_4_BASE,
    .sources = { DATA_CHANNEL_2_BASE, DATA_CHANNEL_3_BASE },
    .sink = DATA_CHANNEL_4_BASE,
    .cycle_count = 0 };

