#include "task_crc.h"
#include "data_channel.h"
#include "crc_config.h"

#include <stdio.h>
#include <stdlib.h>
#include <system.h>


crc_config CRC_CONFIG = {
    .base = { .name = "crc",
        .binding = BINDING_SW,
        .software = task_crc_run,
        .configure = NULL,
        .hardware = HARDWARE_TASK_6_BASE,
        .sources = { DATA_CHANNEL_5_BASE },
        .sink = DATA_CHANNEL_6_BASE,
        .cycle_count = 0 },
    .start = 0x00000000 };

