#include "task_fft.h"
#include "data_channel.h"
#include "fft_config.h"

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <system.h>

fft_config FFT_CONFIG = {
    .base = { .name = "fft",
        .binding = BINDING_SW,
        .software = task_fft_run,
        .configure = NULL,
        .hardware = HARDWARE_TASK_5_BASE,
        .sources = { DATA_CHANNEL_4_BASE },
        .sink = DATA_CHANNEL_5_BASE,
        .cycle_count = 0 },
    .interval = 1e-6 };

